Bug 17209 - Remove use of onclick from masthead
Summary: Remove use of onclick from masthead
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-29 04:45 UTC by Aleisha Amohia
Modified: 2017-01-04 21:45 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17209: Remove use of onclick from masthead (3.47 KB, patch)
2016-08-29 04:49 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17209: Remove use of onclick from masthead (3.58 KB, patch)
2016-08-29 12:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17209: Remove use of onclick from masthead (3.51 KB, patch)
2016-09-16 02:21 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17209: Remove use of onclick from masthead (3.75 KB, patch)
2016-12-02 02:56 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17209: Remove use of onclick from masthead (3.88 KB, patch)
2016-12-16 09:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17209: Remove use of onclick from masthead (3.94 KB, patch)
2016-12-27 16:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-08-29 04:45:57 UTC

    
Comment 1 Aleisha Amohia 2016-08-29 04:49:52 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-29 12:52:43 UTC
Created attachment 54974 [details] [review]
[SIGNED-OFF] Bug 17209: Remove use of onclick from masthead

There are two instances which use onclick in the OPAC masthead: clearing
search history, and logging out.

To test:
Confirm that clearing search history using the 'x' in the masthead, and
logging out by clicking 'Log out' in the masthead, work the same before
and after the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2016-09-07 10:10:26 UTC
Comment on attachment 54974 [details] [review]
[SIGNED-OFF] Bug 17209: Remove use of onclick from masthead

Review of attachment 54974 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-bottom.inc
@@ +237,4 @@
>          }
>      });
>  
> +    $(".persona").on("click",function(){

Why don't you use the existing id node (logout) to catch it instead of adding a new class?
Comment 4 Aleisha Amohia 2016-09-16 02:21:48 UTC
Created attachment 55592 [details] [review]
Bug 17209: Remove use of onclick from masthead

There are two instances which use onclick in the OPAC masthead: clearing
search history, and logging out.

To test:
Confirm that clearing search history using the 'x' in the masthead, and
logging out by clicking 'Log out' in the masthead, work the same before
and after the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Marc Véron 2016-09-16 16:07:05 UTC
Sorry, I get a merge conflict in koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-bottom.inc
Comment 6 Aleisha Amohia 2016-12-02 02:56:20 UTC
Created attachment 57875 [details] [review]
Bug 17209: Remove use of onclick from masthead

There are two instances which use onclick in the OPAC masthead: clearing
search history, and logging out.

To test:
Confirm that clearing search history using the 'x' in the masthead, and
logging out by clicking 'Log out' in the masthead, work the same before
and after the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Aleisha Amohia 2016-12-02 02:56:38 UTC
Merge conflict fixed, ready to test
Comment 8 Marc Véron 2016-12-16 09:22:10 UTC
Created attachment 58238 [details] [review]
Bug 17209: Remove use of onclick from masthead

There are two instances which use onclick in the OPAC masthead: clearing
search history, and logging out.

To test:
Confirm that clearing search history using the 'x' in the masthead, and
logging out by clicking 'Log out' in the masthead, work the same before
and after the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 9 Jonathan Druart 2016-12-27 16:23:50 UTC
Created attachment 58455 [details] [review]
Bug 17209: Remove use of onclick from masthead

There are two instances which use onclick in the OPAC masthead: clearing
search history, and logging out.

To test:
Confirm that clearing search history using the 'x' in the masthead, and
logging out by clicking 'Log out' in the masthead, work the same before
and after the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 10 Kyle M Hall 2016-12-28 13:47:55 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 11 Katrin Fischer 2017-01-04 21:45:16 UTC
This won't get ported back to 16.11.x as it is an enhancement.